Debian Bug report logs - #340921
RM: automake1.6 -- RoM; Superseded by automake1.{7,8,9}

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Eric Dorland <eric@debian.org>

Date: Sat, 26 Nov 2005 23:33:01 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#340921; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: automake1.6
Date: Sat, 26 Nov 2005 18:23:30 -0500
Package: ftp.debian.org
Severity: normal

To continue with my plan outlined in
http://lists.debian.org/debian-devel/2005/07/msg01579.html, I would like
automake1.6 to be removed from the archive. Bugs have been filed against
all the packages that have build dependencies on it, and I will raise
their severities to serious once it has been removed.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)



Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eric Dorland <eric@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 340921-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 340921-close@bugs.debian.org
Cc: automake1.6@packages.debian.org, automake1.6@packages.qa.debian.org
Subject: Bug#340921: fixed
Date: Mon, 28 Nov 2005 17:23:07 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

automake1.6 |   1.6.3-12 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 340921@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#340921; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #17 received at 340921@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: 340921@bugs.debian.org
Subject: Re: Bug#340921: RM: automake1.6 -- RoM; Superseded by automake1.{7,8,9}
Date: Tue, 29 Nov 2005 18:05:26 +0100
I don't think this removal was such a good idea.  Certainly, cleaning up 
the archive is a valid goal, but breaking dozens of packages along the 
way is not.  The submitter of this bug did not offer the affected 
packages any upgrade path.  Some of the affected packages have reached 
maintenance stages where it's unreasonable for the upstream maintainer 
to make a new release just to upgrade automake.  Note that 
re-automaking all the affected packages as part of the packaging is 
likely to create larger diffs and will thus increase the size of the 
archives, perhaps more than what is saved by removing automake1.6.

automake1.6 did not have any bugs and did not burden anyone (except the 
maintainer?), but he did not respond to my offer to orphan the package 
first.  I suggest that to unbreak the situation automake1.6 be 
reuploaded and removed after all build dependencies are gone.  Would 
this be acceptable?



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#340921; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #22 received at 340921@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Peter Eisentraut <peter_e@gmx.net>, 340921@bugs.debian.org
Cc: Eric Dorland <eric@debian.org>
Subject: Re: Bug#340921: RM: automake1.6 -- RoM; Superseded by automake1.{7,8,9}
Date: Thu, 1 Dec 2005 02:41:02 +0100
On Tue, Nov 29, 2005 at 06:05:26PM +0100, Peter Eisentraut wrote:
> I don't think this removal was such a good idea.  Certainly, cleaning up 
> the archive is a valid goal, but breaking dozens of packages along the 
> way is not.  The submitter of this bug did not offer the affected 
> packages any upgrade path.  Some of the affected packages have reached 
> maintenance stages where it's unreasonable for the upstream maintainer 
> to make a new release just to upgrade automake.  Note that 
> re-automaking all the affected packages as part of the packaging is 
> likely to create larger diffs and will thus increase the size of the 
> archives, perhaps more than what is saved by removing automake1.6.

I think it was a good idea to remove it. As the maintainer noted, it's
the 5th or so automake version in the archive, of series of similar (but
indeed not 100% compatible) versions. It's laudeable to try to reduce
the number of versions out there.

The maintainer also announced his intention four months ago, cc'ing all
involved maintainers, and there wasn't a single public reply to his
mail afaics. Also he filed wishlist bugs on all involved packages 5
weeks ago, giving again ample time for people to prepare on migrating.
The removal also doesn't involve any inconvenience for users, it only
prohibits rebuilds and new uploads.

This, together with the fact that upgrading to automake1.7 (available
in Debian well over 3 years now) is said to be really simple and also,
assistance was offered by the automake maintainer, made it an easy call
for me. Sure it'll cause some short-term inconvenience, but (1) it's
early in the release cycle, and (2) we're ending up with less versions
of the same software to maintain in etch etc.
 
> automake1.6 did not have any bugs and did not burden anyone (except the 
> maintainer?), but he did not respond to my offer to orphan the package 
> first.  I suggest that to unbreak the situation automake1.6 be 
> reuploaded and removed after all build dependencies are gone.  Would 
> this be acceptable?

Please don't, and spend your energy on upgrading your package(s) to
automake1.7 or later, something you'll eventually need to do anyway.
If packages were only removed after the last single package stops
needing it, we'd be having tons of different versions of same packages
in the archive. I do pay attention whether there's some sort of
migration plan (advance warning to affected package maintainers being
the simples instance of it), and whether the amount of
reverse-(build-)depends is overseeable, but both were in the green in
this case.

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#340921; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@kuroneko.ca>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #27 received at 340921@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@kuroneko.ca>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: Peter Eisentraut <peter_e@gmx.net>, 340921@bugs.debian.org
Subject: Re: Bug#340921: RM: automake1.6 -- RoM; Superseded by automake1.{7,8,9}
Date: Thu, 1 Dec 2005 00:27:38 -0500
[Message part 1 (text/plain, inline)]
* Jeroen van Wolffelaar (jeroen@wolffelaar.nl) wrote:
> On Tue, Nov 29, 2005 at 06:05:26PM +0100, Peter Eisentraut wrote:
> > I don't think this removal was such a good idea.  Certainly, cleaning up 
> > the archive is a valid goal, but breaking dozens of packages along the 
> > way is not.  The submitter of this bug did not offer the affected 
> > packages any upgrade path.  Some of the affected packages have reached 
> > maintenance stages where it's unreasonable for the upstream maintainer 
> > to make a new release just to upgrade automake.  Note that 
> > re-automaking all the affected packages as part of the packaging is 
> > likely to create larger diffs and will thus increase the size of the 
> > archives, perhaps more than what is saved by removing automake1.6.
> 
> I think it was a good idea to remove it. As the maintainer noted, it's
> the 5th or so automake version in the archive, of series of similar (but
> indeed not 100% compatible) versions. It's laudeable to try to reduce
> the number of versions out there.
> 
> The maintainer also announced his intention four months ago, cc'ing all
> involved maintainers, and there wasn't a single public reply to his
> mail afaics. Also he filed wishlist bugs on all involved packages 5
> weeks ago, giving again ample time for people to prepare on migrating.
> The removal also doesn't involve any inconvenience for users, it only
> prohibits rebuilds and new uploads.
> 
> This, together with the fact that upgrading to automake1.7 (available
> in Debian well over 3 years now) is said to be really simple and also,
> assistance was offered by the automake maintainer, made it an easy call
> for me. Sure it'll cause some short-term inconvenience, but (1) it's
> early in the release cycle, and (2) we're ending up with less versions
> of the same software to maintain in etch etc.

Thanks Jeroen, could not of put it better myself. 

And to address the no upgrade path concern, in the majority of cases
there is no "path", the newer versions of automake will just
work. Otherwise some minor changes may need to be made, and I'm here
to help if it's needed. I think about half the bugs I filed were
already closed before the removal without me doing anything, so the
difficulty can't be too great. 

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GCS d- s++: a-- C+++ UL+++ P++ L++ E++ W++ N+ o K- w+ 
O? M++ V-- PS+ PE Y+ PGP++ t++ 5++ X+ R tv++ b+++ DI+ D+ 
G e h! r- y+ 
------END GEEK CODE BLOCK------
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 18:26:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:15:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.